Difference between revisions of "Development Team/Packaging"

From Sugar Labs
Jump to: navigation, search
m (Updating ArchLinux status)
Line 17: Line 17:
 
| None; rolling-release (Third-party)
 
| None; rolling-release (Third-party)
 
| [[User:Schivmeister|Ray Rashif]]
 
| [[User:Schivmeister|Ray Rashif]]
| N.A; packaging in progress
+
| 0.86.x
 
| See [http://wiki.archlinux.org/index.php/Sugar Distro Wiki]
 
| See [http://wiki.archlinux.org/index.php/Sugar Distro Wiki]
 
|-
 
|-

Revision as of 13:36, 19 December 2009


Distro Current development version Contact Last Sugar version Status
ALT Linux Sisyphus Aleksey Lim 0.84.x
Arch Linux None; rolling-release (Third-party) Ray Rashif 0.86.x See Distro Wiki
Debian (multiple concurrent branches) Jonas Smedegaard See here: http://qa.debian.org/developer.php?login=debian-olpc-devel@lists.alioth.debian.org Needs pyabiword, Needs evince python bindings
Fedora F11 (Leonidas) Simon Schampijer 0.84.x
SoaS-1
F10 based
0.84.x RPM repository
SoaS-2
F11 based
0.84.x RPM repository
Gentoo Sugar overlay Aleksey Lim 0.84.x/0.86.x/git
Mandriva 2009.1 Aleksey Lim 0.84.x
Cooker Aleksey Lim 0.86.x
openSUSE 11, openSUSE Factory
X11:Sugar
Nubae 0.84.x
openSUSE Factory
X11:Sugar:Unstable
Aleksey Lim 0.86.x
Ubuntu 9.04 (Jaunty Jackalope) SugarTeam 0.83.x Needs pyabiword
8.04 (Hardy)
trisquel-edu ppa
Aleksey Lim 0.84.x #1189
9.04 (Jaunty), 9.10 (Karmic)
sugar-0.84 ppa
Aleksey Lim 0.84.x
9.04 (Jaunty)
trisquel-edu-3 ppa
Aleksey Lim 0.86.x
9.10 (Karmic)
sugar-0.86 ppa
Aleksey Lim 0.86.x
Magalhães
(Caixa Mágica)
12 Aleksey Lim 0.84.x

This table might be generated by a script like the one Collabora uses: http://people.collabora.co.uk/~cassidy/tp-versions.html

Source: http://people.collabora.co.uk/~cassidy/tp-versions.html

Status notes

Needs pyabiword

In order for Write to work, abiword needs to be built with --enable-libabiword (Debian bug #512777) and the pyabiword package needs to be added.

Needs evince python bindings

In order for Read to work, evince needs to be built as a library and needs to have python bindings. This means evince 2.25.90 and gnome-python-desktop with the evince python bindings built.

Packaging Team

distribution tools